FIX::RepeatingGroupCountMismatch Struct Reference

Repeated group count not equal to actual count. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::RepeatingGroupCountMismatch:
[legend]
Collaboration diagram for FIX::RepeatingGroupCountMismatch:
[legend]

## Public Member Functions

| RepeatingGroupCountMismatch (int f=0, const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | field
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Repeated group count not equal to actual count.

Definition at line 208 of file Exceptions.h.

## Constructor & Destructor Documentation

## RepeatingGroupCountMismatch()

FIX::RepeatingGroupCountMismatch::RepeatingGroupCountMismatch | ( | int | f = `0`,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 210 of file Exceptions.h.

: Exception( "Repeating group count mismatch", what ),
field( f ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition Exceptions.h:35
FIX::RepeatingGroupCountMismatch::field
int field
Definition Exceptions.h:213

## Member Data Documentation

## field

int FIX::RepeatingGroupCountMismatch::field

Definition at line 213 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h